Skip to main content

Get Kvs V2

GET 

/config/v2/kv

Get All KVs and Secret KVs. Regular KVs are always returned.

Required permissions for secret KVs: : config:secret_kvs:read

Request

Query Parameters

    keys_to_include any

    If specified, will only return the KVs with the specified keys

Header Parameters

    if-none-match any

    If you provide the ETag that matches the current ETag for this content, will return a 304 response - indicating that the content has not changed.

    if-match any

    If you provide the ETag that matches the current ETag for this content, will return a 412 response - indicating that the content has changed.

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    kvs

    object

    The list of key/value pairs

    property name* string

    secret_kvs

    object

    deprecated

    DEPRECATED The list of permissioned key/value pairs

    property name* string

    kick_before_hint

    object

    Hint to game clients currently logged into the environment, that they should log themselves out if their login was created before this time.

    This is NOT enforced by the environment's API, but relies on well-behaved clients handling it correctly. This is intentionally left as a hint to game clients, so game teams can decide how to interact with it. For example, some games will want to allow clients that are currently playing a match to continue until it is completed, while others will want to kick them immediately.

    It is recommended to only set this value to a past/current timestamp, as future timestamps will cause odd login/logout behavior

    anyOf

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    string

Loading...